PyQt 5.0 发布,完全支持 Qt 5.0

oschina
 oschina
发布于 2013年06月18日
收藏 17

PyQt 5.0 发布了,该版本增加对 Qt 5.0 的支持。

PyQt是Qt库的Python版本。PyQt3支持Qt1到Qt3。 PyQt4支持Qt4。它的首次发布也是在1998年,但是当时它叫 PyKDE,因为开始的时候SIP和PyQt没有分开。PyQt是用SIP写的。PyQt 提供GPL版和商业版。


PyQt向Python程序员提供了使用完整Qt应用程序接口的方法。您几乎可以用Python做任何C++能做的事。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:PyQt 5.0 发布,完全支持 Qt 5.0
加载中

最新评论(15

开开心心打酱油
开开心心打酱油

有qt5的文档没?

E
Evan Li

引用来自“bundles”的评论

引用来自“firephenix”的评论

引用来自“bundles”的评论

python牛B的语法,基本上被大家都接受了,这个极限精简的语法,实在是找不到面向对象中能比它更精简语法的语言了。

golang

golang那是抄的python语法.出现太晚了,不算.

严重同意
T0Ny
T0Ny
download link err

http://www.riverbankcomputing.com/software/pyqt/download5
回去干活
回去干活

引用来自“firephenix”的评论

引用来自“bundles”的评论

python牛B的语法,基本上被大家都接受了,这个极限精简的语法,实在是找不到面向对象中能比它更精简语法的语言了。

golang

golang那是抄的python语法.出现太晚了,不算.
军师
又多一个选择……
动弹
动弹

引用来自“hehuim”的评论

引用来自“李再放”的评论

PyQt遵从奇趣的许可模式?

PyQt不支持LGPL,为此当时的NOKIA自己搞了个支持LGPL的Pyside.

只是觉得好歹叫奇趣科技,或者写成英文的,这样很容易让人摸不着头脑
f
firephenix

引用来自“bundles”的评论

python牛B的语法,基本上被大家都接受了,这个极限精简的语法,实在是找不到面向对象中能比它更精简语法的语言了。

golang
ifsc01
ifsc01

引用来自“bundles”的评论

python牛B的语法,基本上被大家都接受了,这个极限精简的语法,实在是找不到面向对象中能比它更精简语法的语言了。

scala
ifsc01
ifsc01

引用来自“bundles”的评论

python牛B的语法,基本上被大家都接受了,这个极限精简的语法,实在是找不到面向对象中能比它更精简语法的语言了。

ruby
返回顶部
顶部